PDA

Zobacz pełną wersję : Problem po aktualizacji joomla z 3.10.0 do 4.x.x



B3rr.O
18-08-2021, 09:56
Dziś chciałem zaktualizować pakiet najnowszy joomla 4.x.x i napotkałem błędy, które chyba nie pozwoliły go zaktualizować :blink:. Dodam że musiałem przywrócić kopię z poprzedniego dnia. Kto może mi coś w związku z tym powiedzieć? Jak uporać się z tym przed instalacją najnowszego pakietu.
https://i.ibb.co/Q9B6sQw/123123.jpg

siristru
18-08-2021, 12:41
Mogę powiedzieć tylko tyle co widać na załączonym obrazku. A na obrazku masz zaznaczone i opisane rozszerzenia które zostały rozpoznane jako potencjalny problem przy aktualizacji tj. nie kompatybilne z J!4.
Musisz mieć ich wersje kompatybilne.

B3rr.O
18-08-2021, 13:18
Czyli muszę uzbroić się w cierpliwość skoro w większości nie zostały wydane dodatki pod nowego Joomla. Czy to chodzi tylko o te zaznaczone na bardziej czerwono?

siristru
18-08-2021, 14:07
Tak, te zaznaczone na jasny czerwony. nie wiem co się kryje w tabach z ciemnym czerwonym. Musiałbyś rozwinąć More details.

terra
23-08-2021, 18:54
Może warto sprawdzić, w jaki sposób uruchomić Joomla 4 , MIGRACJA DO JOOMLA4 (https://docs.joomla.org/Joomla_3.x_to_4.x_Step_by_Step_Migration) , ponieważ Joomla 3.10 jest tylko pierwszym krokiem. Sam Joomla 3.10, bedzie wspierany jeszcze przez 2 lata, więc jeśli nie jesteś gotów, to nie musisz spieszyć się z migracją do Joomla 4. Zmiana rozszerzeń, do wersji zgodnej z Joomla 4 chwilę potrwa, m.in dlatego, że pomiędzy pierwszymi wersjami developerskimi, a wersją kandydacką zaszły spore zmiany w kodowaniu, więc wydawcy mieli mało czasu na dostosowanie swoich rozwiązań. Dotyczy to zwłaszcza dużych komponentów.

Joomla 3.10 to pierwszy krok na drodze do migracji do Joomla 4 i służy głównie do weryfikacji zgodności elementów CMS, przed właściwą migracją do Joomla 4.
Tytuł tego wątku jest nieprawidłowy, ponieważ wszystko zadziałało jak najbardziej poprawnie. Po instalacji 3.10 dowiecie się tylko co należy poprawić, aby pójść dalej.

UWAGA: jeśli po instalacji Joomla 3.10 ejdziesz do menu KOMPONENTY->AKTUALIZACJA JOOMLA i klikniesz przycisk SPRAWDŹ DOSTĘPNOŚĆ AKTUALIZACJI
to powinna rozwinąć się lista gotowości Twojego systemu cms do migracji na Joomla 4. Oficjalny komunikat to
"Pre-Update Check for Joomla 3.10.0", ale tak naprawdę mowa o Joomla 4. Jeśli pod czerwoną belką znajduje się, jakieś rozszerzenie tzn. że po migracji NIE BĘDZIE ono poprawnie działało !!!!.

Na liście nie znajdziecie szablonu Protostar, ale on też NIE BEDZIE DZIAŁAŁ, ani żaden z szablonów, który został zbudowany na jego bazie.

B3rr.O
01-09-2021, 16:29
Więc ja po prostu muszę uzbroić się w cierpliwość i czekać na wydania nowszych wersji by zgadzały się z Joomla 4.0.x. Na dzisiejszą chwilę jest tego wiele zaznaczonych na czerwono :|

https://i.ibb.co/s1Xwc1D/123123123123.jpg

A mam pytanie, jeszcze dotyczące Joomla 3.10.1 - czy mogę zaktualizować do tej wersji właśnie i wszystko będzie działać bez zarzutów?

terra
01-09-2021, 17:59
Pamietaj, że na tej liście są elementy zainstalowane, a niekoniecznie używane, więc jest też okazja do oczyszczenia Joomla :). Niektóre z rozszerzeń, mogą mieć już swoje wersje, ale nie mają zaimplementowanej funkcji automatycznej aktualizacji i też są na tej liście. Przy rozszerzeniach, które mają automatyczną aktualizację, powinien być komunikat "potential upgrade issue".

B3rr.O
01-09-2021, 20:07
potential upgrade issue
Właśnie takie miałem komunikaty jak miałem zainstalowaną wersję już 4.x.x (w moim pierwszym poście zakładającym temat to widać).
Aktualnie mam komunikat "Aktualnie posiadasz najnowszą wersję Joomla: 3.10.1" więc poczekam jeszcze trochę gdy będzie trzeba przejść na nowszy silnik joomla.

Majster
08-01-2022, 16:08
Mam pytanie, instaluję aktualizację Joomla z poziomu zaplecza a nie z paczek zewnętrznych. Jeżeli u mnie po sprawdzeniu aktualizacji KOMPONENTY->AKTUALIZACJA JOOMLA i klikniesz przycisk SPRAWDŹ DOSTĘPNOŚĆ AKTUALIZACJI nie pojawia się zakładka Pre-Update checks i jest komunikat "Aktualnie posiadasz najnowszą wersję Joomla: 3.10.4." to rozumiem, że czekam do momentu, aż po uruchomieniu Zaplecza pojawi mi się informacja o dostępnej aktualizacji do Joomla 4 tak? Wiem, że może dziwne pytanie, ale nie jestem informatykiem codziennie pracującym z Joomla. Proszę o podpowiedź bo jak widzę gdzieś na fb reklamy, o Joomlij w wersji 4.05 to zaczynam się niepokoić dlaczego mi zaplecze nie daje możliwości zaktualizowania.
10000

siristru
08-01-2022, 17:00
Przejdź do Zaplecze -> Komponenty -> Aktualizacja Joomla i kliknij przycisk "Opcje w prawym" górnym rogu.
Następnie z listy wybierz pozycję "Następny Joomla" i zapisz. Wróć do strony z aktualizacją Joomli.

Majster
08-01-2022, 17:44
To teraz pytanie, dlaczego ustawienie Serwer aktualizacji - domyślny działało i i były aktualizacje do kolejnych wersji 3.xx a w tym przypadku muszę zmienić na "Następny Joomla"?

No i jeżeli jakiś dodatek np. Polish (Poland) (pl-PL) Language Pack albo szablon EF4 Joomla-Monster Framework nie został zaktualizowany to lepiej poczekać aż deweloperzy tych dodatków zaktualizują te dodatki i wówczas aktualizować joomle tak?

siristru
08-01-2022, 18:16
Bo "następny" znaczy następna (duża) wersja. Mamy następujące wydania Major release", "Minor release" oraz "Bug fix". Im odpowiadają numery w wersji.

wakacje
09-01-2022, 17:03
Migrcja do joomla 4 niezbędna :-)

Majster
09-01-2022, 22:02
No niestety Joomla Monster chyba nie zaktualizują ani szablonu JM-services oraz frameworka EF4. Słabo dla kogoś kto nie robi zawodowo stronek a zajmuje się od czasu do czasu tylko jedną :(

siristru
10-01-2022, 22:33
Ale spokojnie, niektóre komponenty zyskają nowe wersję (dla Joomla 4) dopiero za rok. Do tego czasu spokojnie można korzystać z Joomla 3.x.
Jeśli potrzebujesz jakichś rozszerzeń na stronę a nie ma alternatyw pod J! 4.x to na spokojnie zostań przy J! 3.x. Na prawdę nie ma ciśnienia.
Zawsze można się zwrócić to twórców jakiegoś rozszerzenia i zaoferować pomoc np. z testowaniem czy lokalizacją albo pisaniem dokumentacji.

Majster
15-01-2022, 01:27
Z tymi komponentami o których mówiłem to już chyba będzie sprawa przegrana niestety. Ale mam też jeden projekt (joomle) nad którą nie pracuję i spróbowałem ją zaktualizować do joomla 4 to jest szablon Joomlart JA Purity III i tutaj w zakładce Pre-Update Check w sekcji "czerwonej" wykazany jest dodatek "Designit button", który nota bene jest wyłączony. A nie można go usunąć. Czy ktoś może spotkał się z takim problemem? Rozumiem, że póki nie rozwiążę problemu tego dodatka to nie zaktualizuje joomli do wersji 4 poprzez automatyczną aktualizację z Zaplecza?

terra
17-01-2022, 09:49
Zaktualizujesz, komunikaty które widzisz to informacje o statusie a nie elementy blokujące. Jeśli dodatek jest wyłączony to po aktualizacji nie powinien mieć wpływu na działanie J4.

RafalFilip
13-04-2022, 13:34
Cześć,

To mój pierwszy post na forum i od razu przyznam się, że chyba narozrabiałem, bo nie znam się na Joomla.
Znajoma prowadząca Fundację poprosiła mnie o wsparcie przy jej stronie www i niestety poległem. Po próbie aktualizacji do obecnej wersji 4.1.2 Stable strona upadła, zmieniłem debug w config.php i efekt mam teraz taki, link do obrazka https://ibb.co/xFdKM8D (a to niestety niewiele mi mówi)...

Mam zrobiony backup strony, więc jeśli to mogiła, to będę przywracał starą wersję.
Z góry dzięki za wsparcie i pozdrawiam,
Rafał

siristru
13-04-2022, 14:36
Zrobiłeś migrację do najnowszej wersji ale nie wszystkie rozszerzenia są kompatybilne z Joomla 4.
Na zrzucie widać problem z dodatkiem DMCfirewall, który powoduje ten błąd.
Należy przed migracja upewnić się, że wszystkie rozszerzenia są kompatybilne i odinstalować te które nie są.
Pewnie takich kwiatków będzie więcej więc radziłbym przywrócić stronę z kopii i przyjrzeć się instalacji dokładniej. Posprzątać w niej i zrobić migrację na kopii a nie na wersji produkcyjnej.
A jak wszystko pójdzie dobrze to dopiero przełączyć domenę (zmiana nazw katalogów jest tutaj najprostszym rozwiązaniem).

RafalFilip
13-04-2022, 14:54
hej, dziękuję za odpowiedź.
Zaiste wróciłem do wersji 3.x.x i przywróciłem stronę z backupu. Człowiek uczy się na błędach ;)
Dzięki raz jeszcze i spokojnego popołudnia,
Rafał